autofs-5.1.1 - fix possible memory leak in nfs mount

From: Ian Kent <raven@themaw.net>

Add missing free_hosts_list() to an error exit case in
modules/mount_nfs.c:mount_mount().

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG           |    1 +
 modules/mount_nfs.c |    1 +
 2 files changed, 2 insertions(+)

diff --git a/CHANGELOG b/CHANGELOG
index 247e0fe..8e805f7 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -53,6 +53,7 @@
 - fix typo in autofs.conf.
 - fix yp map age not updated during map lookup.
 - add config option to supress not found log message.
+- fix possible memory leak in nfs mount.
 
 21/04/2015 autofs-5.1.1
 =======================
diff --git a/modules/mount_nfs.c b/modules/mount_nfs.c
index aa786f3..0af814b 100644
--- a/modules/mount_nfs.c
+++ b/modules/mount_nfs.c
@@ -264,6 +264,7 @@ dont_probe:
 		char *estr = strerror_r(errno, buf, MAX_ERR_BUF);
 		error(ap->logopt,
 		      MODPREFIX "mkdir_path %s failed: %s", fullpath, estr);
+		free_host_list(&hosts);
 		return 1;
 	}
 
